View Issue Details

IDProjectCategoryView StatusLast Update
1459RackTablesSNMPpublic2018-11-14 14:51
ReportergeoffkforbesAssigned Toadoom42 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.20.10 
Target Version0.20.11Fixed in Version0.20.11 
Summary1459: Patch for HP ProCurve E2620-24-PoE+ Support
DescriptionI have a HP ProCurve E2620-24-PoE+. It's functionally very similar to a E2610 (24 100mbit ports, 2 1GigT ports, 2 SPF ports) so it was mostly a cut and paste job.
TagsNo tags attached.

Activities

geoffkforbes

geoffkforbes

2015-04-10 16:06

reporter  

racktables_HP_ProCurve_E2620-24-PoE.patch (1,641 bytes)
diff -Naurp /home/fadmin/racktables_orig/dictionary.php /home/fadmin/racktables_patched/dictionary.php
--- /home/fadmin/racktables_orig/dictionary.php	2015-04-10 14:57:49.085212646 +0100
+++ /home/fadmin/racktables_patched/dictionary.php	2015-04-10 15:00:12.059174724 +0100
@@ -2271,7 +2271,7 @@ $dictionary = array
 	2379 => array ('chapter_id' => 12, 'dict_value' => 'Cisco%GPASS%SG300-52MP'),
 	2380 => array ('chapter_id' => 13, 'dict_value' => 'SUSE Enterprise%GSKIP%SLES12'),
 	2381 => array ('chapter_id' => 12, 'dict_value' => 'MikroTik%GPASS%CRS226-24G-2S+RM'),
-
+	2382 => array ('chapter_id' => 12, 'dict_value' => 'HP ProCurve%GPASS%E2620-24-PoE+ J9625A')
 
 # Any new "default" dictionary records must go above this line (i.e., with
 # dict_key code less, than 50000). This is necessary to keep AUTO_INCREMENT
diff -Naurp /home/fadmin/racktables_orig/snmp.php /home/fadmin/racktables_patched/snmp.php
--- /home/fadmin/racktables_orig/snmp.php	2015-04-10 14:57:26.612904880 +0100
+++ /home/fadmin/racktables_patched/snmp.php	2015-04-10 15:00:59.131822096 +0100
@@ -3221,6 +3221,12 @@ $known_switches = array // key is system
 		'text' => 'J9452A: 48 RJ-45/10-100-1000T + 2 SFP-10000+',
 		'processors' => array ('procurve-49-to-52-10000SFP+', 'procurve-chassis-1000T'),
 	),
+	'11.2.3.7.11.131' => array
+        (
+                'dict_key' => 2382,
+                'text' => 'J9625A: 24 RJ-45/10-100TX 12 PoE + 2 1000T + 2 SFP-1000',
+                'processors' => array ('procurve-25-to-26-1000T', 'procurve-27-to-28-1000SFP', 'procurve-chassis-100TX'),
+        ),
 	'11.2.3.7.11.154' => array
 	(
 		'dict_key' => 2213,

Issue History

Date Modified Username Field Change
2015-04-10 16:06 geoffkforbes New Issue
2015-04-10 16:06 geoffkforbes Status new => assigned
2015-04-10 16:06 geoffkforbes Assigned To => adoom42
2015-04-10 16:06 geoffkforbes File Added: racktables_HP_ProCurve_E2620-24-PoE.patch
2015-04-10 16:08 geoffkforbes Tag Attached: patch
2015-04-10 16:08 geoffkforbes Tag Attached: snmp
2015-08-09 22:49 adoom42 Status assigned => closed
2015-08-09 22:49 adoom42 Resolution open => fixed
2015-08-09 22:49 adoom42 Fixed in Version => 0.20.11
2015-08-09 22:49 adoom42 Target Version => 0.20.11
2017-02-13 19:28 infrastation Tag Detached: snmp
2018-11-14 14:51 infrastation Tag Detached: patch